## org.mortbay.jetty.servlet
Class FormAuthenticator

    java.lang.Object
      |
      +--org.mortbay.jetty.servlet.FormAuthenticator

All Implemented Interfaces:
  SecurityConstraint.Authenticator, java.io.Serializable

public class FormAuthenticator
extends java.lang.Object
implements SecurityConstraint.Authenticator

FORM Authentication Authenticator. The HTTP Session is used to store the authentication status of the user, which can be distributed. If the realm implements SSORealm, SSO is supported.

Version:
  $Id: FormAuthenticator.java,v 1.19.2.6 2004/04/27 09:00:33 gregwilkins Exp $
Author:
  Greg Wilkins (gregw), dan@greening.name
See Also:
  Serialized Form

Field Summary
`static java.lang.String` `__J_AUTHENTICATED`
`static java.lang.String` `__J_PASSWORD`
`static java.lang.String` `__J_SECURITY_CHECK`
`static java.lang.String` `__J_URI`
`static java.lang.String` `__J_USERNAME`

Constructor Summary
`FormAuthenticator()`

Method Summary
`UserPrincipal` `authenticated(UserRealm realm, java.lang.String pathInContext, HttpRequest httpRequest, HttpResponse httpResponse)` Perform form authentication.
`java.lang.String` `getAuthMethod()`
`java.lang.String` `getErrorPage()`
`java.lang.String` `getLoginPage()`
`void` `setErrorPage(java.lang.String path)`
`void` `setLoginPage(java.lang.String path)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### __J_URI

    public static final java.lang.String __J_URI

See Also:
  Constant Field Values

### __J_AUTHENTICATED

    public static final java.lang.String __J_AUTHENTICATED

See Also:
  Constant Field Values

### __J_SECURITY_CHECK

    public static final java.lang.String __J_SECURITY_CHECK

See Also:
  Constant Field Values

### __J_USERNAME

    public static final java.lang.String __J_USERNAME

See Also:
  Constant Field Values

### __J_PASSWORD

    public static final java.lang.String __J_PASSWORD

See Also:
  Constant Field Values

Constructor Detail

### FormAuthenticator

    public FormAuthenticator()

Method Detail

### getAuthMethod

    public java.lang.String getAuthMethod()

  Specified by:
    `getAuthMethod` in interface `SecurityConstraint.Authenticator`

### setLoginPage

    public void setLoginPage(java.lang.String path)

### getLoginPage

    public java.lang.String getLoginPage()

### setErrorPage

    public void setErrorPage(java.lang.String path)

### getErrorPage

    public java.lang.String getErrorPage()

### authenticated

    public UserPrincipal authenticated(UserRealm realm,
                                       java.lang.String pathInContext,
                                       HttpRequest httpRequest,
                                       HttpResponse httpResponse)
                                throws java.io.IOException

  Perform form authentication. Called from SecurityHandler.

  Specified by:
    `authenticated` in interface `SecurityConstraint.Authenticator`
  Returns:
    UserPrincipal if authenticated else null.
  Throws:
    `java.io.IOException`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.